package com.oracle.xmlns.internal.webservices.jaxws_databinding;

import java.lang.annotation.Annotation;
import javax.xml.ws.soap.AddressingFeature;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.ws.soap.Addressing;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "addressing")
public class XmlAddressing implements Addressing
{
    @XmlAttribute(name = "enabled")
    protected Boolean enabled;
    @XmlAttribute(name = "required")
    protected Boolean required;
    
    public XmlAddressing() {
    }
    
    public Boolean getEnabled() {
        return Boolean.valueOf(this.enabled());
    }
    
    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }
    
    public Boolean getRequired() {
        return Boolean.valueOf(this.required());
    }
    
    public void setRequired(Boolean required) {
        this.required = required;
    }
    
    public boolean enabled() {
        return (boolean)Util.nullSafe(this.enabled, Boolean.valueOf(true));
    }
    
    public boolean required() {
        return (boolean)Util.nullSafe(this.required, Boolean.valueOf(false));
    }
    
    public AddressingFeature.Responses responses() {
        return AddressingFeature.Responses.ALL;
    }
    
    public Class<? extends Annotation> annotationType() {
        return Addressing.class;
    }
}
